package com.ruoyi.api.domain;

import com.alibaba.fastjson.annotation.JSONField;

/**
 * 手持版本升级对象 pda_apk_version
 *
 * @author ruoyi
 * @date 2023-04-06
 */
public class APKVersion {
    @JSONField(name = "Code")
    private int Code;
    @JSONField(name = "Msg")
    private String Msg;
    @JSONField(name = "UpdateStatus")
    private int UpdateStatus;
    @JSONField(name = "VersionCode")
    private Long VersionCode;
    @JSONField(name = "VersionName")
    private String VersionName;
    @JSONField(name = "ModifyContent")
    private String ModifyContent;
    @JSONField(name = "DownloadUrl")
    private String DownloadUrl;
    @JSONField(name = "ApkSize")
    private int ApkSize;
    @JSONField(name = "ApkMd5")
    private String ApkMd5;

    public int getCode() {
        return Code;
    }

    public void setCode(int code) {
        Code = code;
    }

    public String getMsg() {
        return Msg;
    }

    public void setMsg(String msg) {
        Msg = msg;
    }

    public int getUpdateStatus() {
        return UpdateStatus;
    }

    public void setUpdateStatus(int updateStatus) {
        UpdateStatus = updateStatus;
    }

    public Long getVersionCode() {
        return VersionCode;
    }

    public void setVersionCode(Long versionCode) {
        VersionCode = versionCode;
    }

    public String getVersionName() {
        return VersionName;
    }

    public void setVersionName(String versionName) {
        VersionName = versionName;
    }

    public String getModifyContent() {
        return ModifyContent;
    }

    public void setModifyContent(String modifyContent) {
        ModifyContent = modifyContent;
    }

    public String getDownloadUrl() {
        return DownloadUrl;
    }

    public void setDownloadUrl(String downloadUrl) {
        DownloadUrl = downloadUrl;
    }

    public int getApkSize() {
        return ApkSize;
    }

    public void setApkSize(int apkSize) {
        ApkSize = apkSize;
    }

    public String getApkMd5() {
        return ApkMd5;
    }

    public void setApkMd5(String apkMd5) {
        ApkMd5 = apkMd5;
    }

    @Override
    public String toString() {
        return "APKVersion{" +
                "Code=" + Code +
                ", Msg='" + Msg + '\'' +
                ", UpdateStatus=" + UpdateStatus +
                ", VersionCode=" + VersionCode +
                ", VersionName='" + VersionName + '\'' +
                ", ModifyContent='" + ModifyContent + '\'' +
                ", DownloadUrl='" + DownloadUrl + '\'' +
                ", ApkSize=" + ApkSize +
                ", ApkMd5='" + ApkMd5 + '\'' +
                '}';
    }
}
